Get a thread
curl --request GET \
--url https://api.attio.com/v2/threads/{thread_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/threads/{thread_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"thread_id": "a649e4d9-435c-43fb-83ba-847b4876f27a"
},
"comments": [
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"comment_id": "aa1dc1d9-93ac-4c6c-987e-16b6eea9aab2"
},
"thread_id": "aa1dc1d9-93ac-4c6c-987e-16b6eea9aab2",
"content_plaintext": "Let's go ahead and close this deal, alice@attio.com.",
"entry": {
"entry_id": "2e6e29ea-c4e0-4f44-842d-78a891f8c156",
"list_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0"
},
"record": {
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795"
},
"resolved_at": "2023-01-01T15:00:00.000000000Z",
"resolved_by": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"created_at": "2023-01-01T15:00:00.000000000Z",
"author": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}
}
],
"created_at": "2023-01-01T15:00:00.000000000Z"
}
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Thread with ID \"a649e4d9-435c-43fb-83ba-847b4876f27a\" was not found."
}Threads
Get a thread
Get all comments in a thread.
To view threads on records, you will need the object_configuration:read and record_permission:read scopes.
To view threads on list entries, you will need the list_configuration:read and list_entry:read scopes.
Required scopes: comment:read.
GET
/
v2
/
threads
/
{thread_id}
Get a thread
Was this page helpful?
⌘I